## org.codehaus.groovy.ast.expr
Class PrefixExpression

Represents a prefix expression like ++foo or --bar

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`Expression` | `expression`
`Token` | `operation`

Constructor Summary
`PrefixExpression(Token operation, Expression expression)`

Method Summary
`Expression` | `getExpression()`
`Token` | `getOperation()`
`String` | `getText()`
`ClassNode` | `getType()`
`void` | `setExpression(Expression expression)`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### PrefixExpression

    public PrefixExpression(Token operation, Expression expression)

Method Detail

### getExpression

    public Expression getExpression()

### getOperation

    public Token getOperation()

### getText

    public String getText()

### getType

    public ClassNode getType()

### setExpression

    public void setExpression(Expression expression)

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)